﻿using UnityEngine;

public class Dancer : MonoBehaviour {

	// Having our controller component allows us to play our animations on command.
	private PlayAnimComponent _playAnimator;

	private void Awake() {
		_playAnimator = GetComponent<PlayAnimComponent>();
	}

	// Used to show the dances with the button.
	public void PlayRandomDance() {
		switch (Random.Range(0, 3)) {
			case 0:
				_playAnimator.SetTrigger("Dance1");
				break;
			case 1:
				_playAnimator.SetTrigger("Dance2");
				break;
			case 2:
				_playAnimator.SetTrigger("Dance3");
				break;
		}
	}
}
